Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Enter your API Key in the format: Bearer . Get it from https://gbox.ai

Path Parameters

boxId
string
required

Box ID

Example:

"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"

Response

200 - application/json

Get box

Linux box instance with full configuration and status

id
string
required

Unique identifier for the box

Example:

"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"

status
enum<string>
required

The current status of a box instance

Available options:
pending,
running,
error,
terminated
Example:

"running"

createdAt
string<date-time>
required

Creation timestamp of the box

Example:

"2024-01-15T10:30:00.000Z"

updatedAt
string<date-time>
required

Last update timestamp of the box

Example:

"2024-01-15T10:35:00.000Z"

expiresAt
string<date-time> | null
required

Expiration timestamp of the box

Example:

"2024-01-15T10:40:00.000Z"

type
enum<string>
default:linux
required

Box type is Linux

Available options:
linux
Example:

"linux"

config
LinuxBox · object
required

Configuration for a Linux box instance

Example:
reason
string | null

The reason for the current status, if any

Example:

"Box terminated by user"